JavaScript
import Courier from '@trycourier/courier';
const client = new Courier({
apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted
});
await client.lists.delete('list_id');import os
from courier import Courier
client = Courier(
api_key=os.environ.get("COURIER_API_KEY"), # This is the default and can be omitted
)
client.lists.delete(
"list_id",
)package main
import (
"context"
"github.com/trycourier/courier-go"
"github.com/trycourier/courier-go/option"
)
func main() {
client := courier.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Lists.Delete(context.TODO(), "list_id")
if err != nil {
panic(err.Error())
}
}package com.courier.example;
import com.courier.client.CourierClient;
import com.courier.client.okhttp.CourierOkHttpClient;
import com.courier.models.lists.ListDeleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CourierClient client = CourierOkHttpClient.fromEnv();
client.lists().delete("list_id");
}
}require "courier"
courier = Courier::Client.new(api_key: "My API Key")
result = courier.lists.delete("list_id")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Courier\Client;
use Courier\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('COURIER_API_KEY') ?: 'My API Key');
try {
$result = $client->lists->delete('list_id');
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}using TryCourier;
using TryCourier.Models.Lists;
CourierClient client = new();
ListDeleteParams parameters = new() { ListID = "list_id" };
await client.Lists.Delete(parameters);courier lists delete \
--api-key 'My API Key' \
--list-id list_idcurl --request DELETE \
--url https://api.courier.com/lists/{list_id} \
--header 'Authorization: Bearer <token>'Lists
Delete a list
Delete a list by list ID.
DELETE
/
lists
/
{list_id}
JavaScript
import Courier from '@trycourier/courier';
const client = new Courier({
apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted
});
await client.lists.delete('list_id');import os
from courier import Courier
client = Courier(
api_key=os.environ.get("COURIER_API_KEY"), # This is the default and can be omitted
)
client.lists.delete(
"list_id",
)package main
import (
"context"
"github.com/trycourier/courier-go"
"github.com/trycourier/courier-go/option"
)
func main() {
client := courier.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Lists.Delete(context.TODO(), "list_id")
if err != nil {
panic(err.Error())
}
}package com.courier.example;
import com.courier.client.CourierClient;
import com.courier.client.okhttp.CourierOkHttpClient;
import com.courier.models.lists.ListDeleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CourierClient client = CourierOkHttpClient.fromEnv();
client.lists().delete("list_id");
}
}require "courier"
courier = Courier::Client.new(api_key: "My API Key")
result = courier.lists.delete("list_id")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Courier\Client;
use Courier\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('COURIER_API_KEY') ?: 'My API Key');
try {
$result = $client->lists->delete('list_id');
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}using TryCourier;
using TryCourier.Models.Lists;
CourierClient client = new();
ListDeleteParams parameters = new() { ListID = "list_id" };
await client.Lists.Delete(parameters);courier lists delete \
--api-key 'My API Key' \
--list-id list_idcurl --request DELETE \
--url https://api.courier.com/lists/{list_id} \
--header 'Authorization: Bearer <token>'⌘I